//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Web.UI.WebControls;
using CommunityServer.Components;

namespace CommunityServer.Controls
{
	/// <summary>
	/// Summary description for LoginLogout.
	/// </summary>
	public class LoginLogout : HyperLink
	{
		public LoginLogout()
		{
			//
			// TODO: Add constructor logic here
			//
		}

        protected override void OnLoad(EventArgs e)
        {
            if(Context.Request.IsAuthenticated)
            {
                this.Text = ResourceManager.GetString("logout");
                this.NavigateUrl = Globals.GetSiteUrls().Logout;
            }
            else
            {
                this.Text = ResourceManager.GetString("login");
                this.NavigateUrl = Globals.GetSiteUrls().Login;
                
            }
            this.Attributes.Add("title",this.Text);

            base.OnLoad (e);
        }

	}
}
